TWEEPER(1)

NAME
tweeper - web scraper to convert a Twitter timeline to an RSS feed

SYNOPSIS

tweeper [OPTIONS] URL

DESCRIPTION

tweeper(1) is a web scraper which extracts the most recent public tweets of a given user from their home page on Twitter.com and formats them in RSS, so the information can be conveniently accessed and collected by a feed reader.

tweeper started as the TWitter fEEd scraPER but support for other web sites has been added.

The sites that tweeper is able to scrape and convert to RSS are:

    • Twitter.com

    • Pump.io based websites, like Identi.ca

    • Dilbert.com

tweeper can be used as:

    1. a command line tool;

    2. a filter for feed readers;

    3. a web based tool when PHP support is available in the web server.

OPTIONS

-e
    show links to supported media files in the RSS <enclosure/> element

-h, --help
    show the help message

EXAMPLE OF USE

Getting the RSS feed of some Twitter user:

    tweeper http://twitter.com/NSACareers

Using tweeper as a filter for the Liferea feed reader:

    liferea-add-feed  "|tweeper http://twitter.com/NSAcareers"

Using tweeper via web (the symlink must be created only the very first time):

    sudo ln -s /usr/share/php/tweeper/tweeper.php /var/www
    xdg-open http://localhost/tweeper.php?src_url=http://twitter.com/NSAcareers

NOTES

In order to use tweeper with a symlink with the apache userdir module, the SymLinksIfOwnerMatch option must be replaced by FollowSymlink in /etc/apache2/mods-enabled/userdir.conf

EXIT STATUS

0
    Success

!0
    Failure

AUTHORS

Antonio Ospite

RESOURCES

Main web site: http://git.ao2.it/tweeper.git

COPYING

Copyright (C) 2013 Antonio Ospite <ospite@studenti.unina.it>

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.